Package ghidra.app.plugin.processors.sleigh.symbol

# Class VarnodeSymbol

java.lang.Object
ghidra.app.plugin.processors.sleigh.symbol.Symbol
ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol
ghidra.app.plugin.processors.sleigh.symbol.SpecificSymbol
ghidra.app.plugin.processors.sleigh.symbol.PatternlessSymbol
ghidra.app.plugin.processors.sleigh.symbol.VarnodeSymbol

public class VarnodeSymbol extends PatternlessSymbol
A symbol representing a global varnode, i.e. a named memory location

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VarnodeSymbol()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `getFixedHandle(FixedHandle hand, ParserWalker walker)`
  `VarnodeData`
  `getFixedVarnode()`
  `String`
  `print(ParserWalker walker)`
  `void`
  `printList(ParserWalker walker, ArrayList<Object> list)`
  `void`
  `restoreXml(XmlPullParser parser, SleighLanguage sleigh)`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.PatternlessSymbol

  `getPatternExpression`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.TripleSymbol

  `resolve`

  ### Methods inherited from class ghidra.app.plugin.processors.sleigh.symbol.Symbol

  `getId, getName, getScopeId, restoreHeaderXml`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VarnodeSymbol

    public VarnodeSymbol()

- ## Method Details

  - ### getFixedVarnode

    public VarnodeData getFixedVarnode()

  - ### getFixedHandle

    public void getFixedHandle(FixedHandle hand, ParserWalker walker)
    Specified by:
      `getFixedHandle` in class `TripleSymbol`

  - ### print

    public String print(ParserWalker walker)
    Specified by:
      `print` in class `TripleSymbol`

  - ### printList

    public void printList(ParserWalker walker, ArrayList<Object> list)
    Specified by:
      `printList` in class `TripleSymbol`

  - ### restoreXml

    public void restoreXml(XmlPullParser parser, SleighLanguage sleigh)
    Specified by:
      `restoreXml` in class `Symbol`